Version 6.x.x Source

Table Name: `tabFiscal Year`

**Fiscal Year** represents a Financial Year. All accounting entries and other major transactions are tracked against **Fiscal Year**.

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `year` | Data | Year Name For e.g. 2012, 2012-13 |
2 | `disabled` | Check | Disabled |
3 | `year_start_date` | Date | Year Start Date |
4 | `year_end_date` | Date | Year End Date |
5 | `companies` | Table | Companies | Fiscal Year Company

### Controller

#### erpnext.accounts.doctype.fiscal_year.fiscal_year

### Class FiscalYear

Inherits from frappe.model.document.Document

on_update (self)

No docs

set_as_default (self)

No docs

validate (self)

No docs

validate_dates (self)

No docs

Public API
`/api/method/erpnext.accounts.doctype.fiscal_year.fiscal_year.auto_create_fiscal_year`

erpnext.accounts.doctype.fiscal_year.fiscal_year.auto_create_fiscal_year ()

No docs

Public API
`/api/method/erpnext.accounts.doctype.fiscal_year.fiscal_year.check_duplicate_fiscal_year`

erpnext.accounts.doctype.fiscal_year.fiscal_year.check_duplicate_fiscal_year (doc)

No docs

#### Linked In:

- Appraisal
- Attendance
- Budget Detail
- C-Form
- Delivery Note
- Expense Claim
- GL Entry
- Global Defaults
- Holiday List
- Installation Note
- Journal Entry
- Lead
- Leave Block List
- Maintenance Visit
- Monthly Distribution
- Opportunity
- Period Closing Voucher
- Process Payroll
- Purchase Invoice
- Purchase Order
- Purchase Receipt
- Quotation
- Salary Slip
- Sales Invoice
- Sales Order
- Stock Entry
- Stock Reconciliation
- Supplier Quotation
- Target Detail
- Warranty Claim